aboutsummaryrefslogtreecommitdiffstats
path: root/main/gcc/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-09-06 11:24:41 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-09-10 09:12:29 +0000
commitea0af854b52e5d2b44e6af094572e6ae38d1ba5a (patch)
tree9980f07181336553da3ae7452b7a69a41750f5fe /main/gcc/APKBUILD
parent6a32c55e54342aadd5b4d4319ab084d34913e16b (diff)
downloadaports-ea0af854b52e5d2b44e6af094572e6ae38d1ba5a.tar.gz
aports-ea0af854b52e5d2b44e6af094572e6ae38d1ba5a.tar.bz2
aports-ea0af854b52e5d2b44e6af094572e6ae38d1ba5a.tar.xz
main/gcc: fixes, support crosscompiler creation
- implement cross compiler creation - fix musl build - fix cross-building - fix ada to default to shared linking - fix gcc-gnat dependencies
Diffstat (limited to 'main/gcc/APKBUILD')
-rw-r--r--main/gcc/APKBUILD279
1 files changed, 206 insertions, 73 deletions
diff --git a/main/gcc/APKBUILD b/main/gcc/APKBUILD
index 03d48edaed..c70f651e69 100644
--- a/main/gcc/APKBUILD
+++ b/main/gcc/APKBUILD
@@ -4,28 +4,68 @@ pkgver=4.8.1
_piepatchver=0.5.6
_specs_ver=0.2.0
_specs_gcc_ver=4.4.3
-
_uclibc_abiver=0.9.32
-
-pkgrel=2
+_cross=""
+[ "$BOOTSTRAP" = "noheaders" ] && pkgname="gcc-pass1"
+[ "$BOOTSTRAP" = "nolibc" ] && pkgname="gcc-pass2"
+[ "$CHOST" != "$CTARGET" ] && [ -n "$CHOST" -a -n "$CTARGET" ] \
+ && _cross="-$CTARGET"
+
+pkgname="$pkgname$_cross"
+pkgrel=3
pkgdesc="The GNU Compiler Collection"
url="http://gcc.gnu.org"
arch="all"
license="GPL LGPL"
_gccrel=$pkgver-r$pkgrel
-depends="binutils libgomp=$_gccrel"
-makedepends="bison flex gmp-dev mpfr-dev texinfo mpc1-dev gawk zlib-dev zip
- cloog-dev !libiconv-dev !gettext-dev"
-subpackages="$pkgname-doc libgcc libgomp libstdc++:libcxx g++:gpp"
+depends="binutils$_cross"
+makedepends_build="bison flex texinfo gawk zip"
+makedepends_host="gmp-dev mpfr-dev mpc1-dev zlib-dev cloog-dev !libiconv-dev !gettext-dev"
+makedepends="$makedepends_build $makedepends_host"
+subpackages=" "
+[ "$CHOST" = "$CTARGET" ] && subpackages="gcc-doc$_cross"
replaces="libstdc++"
+: ${LANG_CXX:=true}
: ${LANG_OBJC:=true}
: ${LANG_JAVA:=true}
: ${LANG_GO:=true}
: ${LANG_FORTRAN:=true}
: ${LANG_ADA:=true}
-if [ "$CBUILD" != "$CHOST" ]; then
+LIBGOMP=true
+LIBGCC=true
+LIBATOMIC=true
+LIBITM=true
+if [ "$CHOST" != "$CTARGET" ] && [ -n "$CHOST" -a -n "$CTARGET" ]; then
+ if [ "$BOOTSTRAP" ]; then
+ LANG_CXX=false
+ LANG_ADA=false
+ LIBGCC=false
+ _builddir="$srcdir/build-cross-pass2"
+ else
+ _builddir="$srcdir/build-cross-final"
+ fi
+ LANG_OBJC=false
+ LANG_JAVA=false
+ LANG_GO=false
+ LANG_FORTRAN=false
+ LIBGOMP=false
+ LIBATOMIC=false
+ LIBITM=false
+
+ # reset target flags (should be set in crosscreate abuild)
+ # fixup flags. seems gcc treats CPPFLAGS as global without
+ # _FOR_xxx variants. wrap it in CFLAGS and CXXFLAGS.
+ export CFLAGS="$CPPFLAGS $CFLAGS"
+ export CXXFLAGS="$CPPFLAGS $CXXFLAGS"
+ unset CPPFLAGS
+ [ -z "$CFLAGS_FOR_TARGET" ] && export CFLAGS_FOR_TARGET=" "
+ [ -z "$CXXFLAGS_FOR_TARGET" ] && export CXXFLAGS_FOR_TARGET=" "
+ [ -z "$LDFLAGS_FOR_TARGET" ] && export LDFLAGS_FOR_TARGET=" "
+
+ STRIP_FOR_TARGET="$CTARGET-strip"
+elif [ "$CBUILD" != "$CHOST" ] && [ -n "$CBUILD" -a -n "$CHOST" ]; then
# fixup flags. seems gcc treats CPPFLAGS as global without
# _FOR_xxx variants. wrap it in CFLAGS and CXXFLAGS.
export CFLAGS="$CPPFLAGS $CFLAGS"
@@ -39,34 +79,51 @@ if [ "$CBUILD" != "$CHOST" ]; then
export CXXFLAGS_FOR_BUILD=" "
export LDFLAGS_FOR_BUILD=" "
+ # Languages that do not need bootstrapping
LANG_OBJC=false
LANG_JAVA=false
LANG_GO=false
LANG_FORTRAN=false
- # ada needs bootstrapping
- LANG_ADA=true
+
+ STRIP_FOR_TARGET=${CROSS_COMPILE}strip
+ _builddir="$srcdir/build-cross-native"
+else
+ STRIP_FOR_TARGET=${CROSS_COMPILE}strip
+ _builddir="$srcdir/build"
fi
-_languages=c,c++
+if $LIBGCC; then
+ subpackages="$subpackages libgcc"
+fi
+if $LIBGOMP; then
+ depends="$depends libgomp=$_gccrel"
+ subpackages="$subpackages libgomp"
+fi
+
+_languages=c
+if $LANG_CXX; then
+ subpackages="$subpackages libstdc++:libcxx g++$_cross:gpp"
+ _languages="$_languages,c++"
+fi
if $LANG_OBJC; then
- subpackages="$subpackages libobjc $pkgname-objc"
+ subpackages="$subpackages libobjc gcc-objc$_cross:objc"
_languages="$_languages,objc"
fi
if $LANG_JAVA; then
- subpackages="$subpackages libgcj $pkgname-java"
+ subpackages="$subpackages libgcj gcc-java$_cross:java"
makedepends="$makedepends paxctl"
_languages="$_languages,java"
fi
if $LANG_GO; then
- subpackages="$subpackages libgo $pkgname-go"
+ subpackages="$subpackages libgo gcc-go$_cross:go"
_languages="$_languages,go"
fi
if $LANG_FORTRAN; then
- subpackages="$subpackages libgfortran libquadmath gfortran"
+ subpackages="$subpackages libgfortran libquadmath gfortran$_cross:gfortran"
_languages="$_languages,fortran"
fi
if $LANG_ADA; then
- subpackages="$subpackages libgnat $pkgname-gnat"
+ subpackages="$subpackages libgnat gcc-gnat$_cross:gnat"
_languages="$_languages,ada"
makedepends="$makedepends gcc-gnat"
fi
@@ -87,6 +144,7 @@ source="ftp://gcc.gnu.org/pub/gcc/releases/gcc-$pkgver/gcc-$pkgver.tar.bz2
gcc-spec-env.patch
gcc-4.8-musl.patch
+ gcc-4.8-musl-fix-arm-interp.patch
libgcc-always-build-gcceh.a.patch
pt_gnu_eh_frame.patch
uclibc-getipinfo.patch
@@ -97,16 +155,20 @@ source="ftp://gcc.gnu.org/pub/gcc/releases/gcc-$pkgver/gcc-$pkgver.tar.bz2
gcc-4.8-build-args.patch
fix-cxxflags-passing.patch
+ fix-cxxflags-for-target.patch
ada-no-pie.patch
+ ada-fixes.patch
+ ada-crossbuild.patch
+ ada-shared.patch
+ ada-musl.patch
"
# gcc-go.patch
# we build out-of-tree
_gccdir="$srcdir"/gcc-$pkgver
-_builddir="$srcdir/build"
-_gcclibdir=/usr/lib/gcc/${CHOST:-$_chost}/$pkgver
-_gcclibexec=/usr/libexec/gcc/${CHOST:-$_chost}/$pkgver
+_gcclibdir=/usr/lib/gcc/${CTARGET}/$pkgver
+_gcclibexec=/usr/libexec/gcc/${CTARGET}/$pkgver
prepare() {
cd "$_gccdir"
@@ -161,55 +223,71 @@ prepare() {
build() {
local _dynamic_linker=
local _arch_configure=
+ local _libc_configure=
+ local _cross_configure=
+ local _bootstrap_configure=
local _symvers=
+
cd "$_gccdir"
- export CFLAGS="-fno-stack-protector $CFLAGS"
- [ -z "$CBUILD" ] && CBUILD="$CHOST"
- [ -z "$CTARGET" ] && CTARGET="$CHOST"
+ if [ -z "$CFLAGS_FOR_TARGET" ]; then
+ export CFLAGS="-fno-stack-protector $CFLAGS"
+ export CXXFLAGS="-fno-stack-protector $CXXFLAGS"
+ else
+ export CFLAGS_FOR_TARGET="-fno-stack-protector $CFLAGS_FOR_TARGET"
+ export CXXFLAGS_FOR_TARGET="-fno-stack-protector $CXXFLAGS_FOR_TARGET"
+ fi
- case "$CHOST" in
- x86_64-*-uclibc)
- _dynamic_linker="--with-dynamic-linker=ld64-uClibc.so.$_uclibc_abiver"
- ;;
- *-uclibc)
- _dynamic_linker="--with-dynamic-linker=ld-uClibc.so.$_uclibc_abiver"
- ;;
- x86_64-*-gnu)
- _dynamic_linker="--with-dynamic-linker=ld-linux-x86-64.so.2"
- ;;
- *-gnu)
- _dynamic_linker="--with-dynamic-linker=ld-linux.so.2"
- ;;
- *) _dynamic_linker=
- _symvers="--disable-symvers"
- ;;
+ case "$CTARGET" in
+ x86_64-*-uclibc) _dynamic_linker="--with-dynamic-linker=ld64-uClibc.so.$_uclibc_abiver" ;;
+ *-uclibc) _dynamic_linker="--with-dynamic-linker=ld-uClibc.so.$_uclibc_abiver" ;;
+ x86_64-*-gnu) _dynamic_linker="--with-dynamic-linker=ld-linux-x86-64.so.2" ;;
+ *-gnu) _dynamic_linker="--with-dynamic-linker=ld-linux.so.2" ;;
esac
- # disable symvers for non-glibc (uclibc/musl)
- # ifunc attributes detection is broke in configure script so force
- # disable it for non-glibc. It is used heavily by Go lang.
- case "$CHOST" in
- *-gnu) ;;
- *) export libat_cv_have_ifunc=no
- ;;
+ case "$CTARGET_ARCH" in
+ armhf) _arch_configure="--with-float=hard";;
esac
- # --enable-target-optspace is broken on powerpc
- if [ "$CARCH" != "powerpc" ]; then
- _arch_configure="$_arch_configure --enable-target-optspace"
+ case "$CTARGET_LIBC" in
+ musl)
+ # musl does not support mudflap
+ _libc_configure="--disable-libssp --disable-libmudflap"
+ _symvers="--disable-symvers"
+ export gcc_cv_libc_provides_ssp=yes
+ export libat_cv_have_ifunc=no
+ ;;
+ uclibc)
+ _libc_configure="--disable-libssp --without-system-libunwind"
+ export gcc_cv_libc_provides_ssp=yes
+ export libat_cv_have_ifunc=no
+ ;;
+ esac
+
+ if [ "$CHOST" != "$CTARGET" ]; then
+ _cross_configure="--disable-bootstrap --enable-clocale=gnu"
+ _cross_configure="$_cross_configure --with-sysroot=$CBUILDROOT"
fi
- case "$CARCH" in
- arm*) _arch_configure="$_arch_configure --with-float=hard";;
+ case "$BOOTSTRAP" in
+ noheaders)
+ _bootstrap_configure="--with-newlib --without-headers --disable-shared --enable-threads=no"
+ ;;
+ nolibc)
+ _bootstrap_configure="--with-newlib --disable-shared --enable-threads=no --disable-libquadmath"
+ ;;
+ *)
+ _bootstrap_configure="--enable-shared --enable-threads --enable-tls"
+ ;;
esac
- if [ "${CHOST#*musl}" != "$CHOST" ]; then
- # musl does not support mudflap
- _arch_configure="$_arch_configure --disable-mudflap --disable-libmudflap"
- # gcc does not detect musl's ssp support, force it
- export gcc_cv_libc_provides_ssp=yes
- else
- _arch_configure="$_arch_configure --without-system-libunwind"
+ if ! $LIBGOMP; then
+ _bootstrap_configure="$_bootstrap_configure --disable-libgomp"
+ fi
+ if ! $LIBATOMIC; then
+ _bootstrap_configure="$_bootstrap_configure --disable-libatomic"
+ fi
+ if ! $LIBITM; then
+ _bootstrap_configure="$_bootstrap_configure --disable-libitm"
fi
msg "Building the following:"
@@ -217,9 +295,14 @@ build() {
echo " CBUILD=$CBUILD"
echo " CHOST=$CHOST"
echo " CTARGET=$CTARGET"
+ echo " CTARGET_ARCH=$CTARGET_ARCH"
+ echo " CTARGET_LIBC=$CTARGET_LIBC"
echo " languages=$_languages"
echo " dynamic_linker=$_dynamic_linker"
echo " arch_configure=$_arch_configure"
+ echo " libc_configure=$_libc_configure"
+ echo " cross_configure=$_cross_configure"
+ echo " bootstrap_configure=$_bootstrap_configure"
echo ""
mkdir -p "$_builddir"
@@ -235,7 +318,6 @@ build() {
--disable-build-with-cxx \
--disable-checking \
--disable-fixed-point \
- --disable-libssp \
--disable-libstdcxx-pch \
--disable-multilib \
--disable-nls \
@@ -246,10 +328,10 @@ build() {
--enable-esp \
--enable-cloog-backend \
--enable-languages=$_languages \
- --enable-shared \
$_arch_configure \
- --enable-tls \
- --enable-threads \
+ $_libc_configure \
+ $_cross_configure \
+ $_bootstrap_configure \
$_dynamic_linker \
--with-dynamic-linker-prefix=/lib \
--with-system-zlib \
@@ -285,7 +367,7 @@ package() {
|| return 1
# strip debug info from some statib libs
- ${CROSS_COMPILE}strip -g `find "$pkgdir" \( -name libgfortran.a -o -name libobjc.a -o -name libgomp.a \
+ ${STRIP_FOR_TARGET} -g `find "$pkgdir" \( -name libgfortran.a -o -name libobjc.a -o -name libgomp.a \
-o -name libmudflap.a -o -name libmudflapth.a \
-o -name libgcc.a -o -name libgcov.a -o -name libquadmath.a \
-o -name libitm.a -o -name libgo.a -o -name libcaf\*.a \
@@ -314,13 +396,23 @@ package() {
ln -s ../../../../${i##*/} $i || return 1
done
fi
+
+ if [ "$CHOST" != "$CTARGET" ]; then
+ # cross-gcc: remove any files that would conflict with the
+ # native gcc package
+ rm -rf "$pkgdir"/usr/bin/cc "$pkgdir"/usr/include "$pkgdir"/usr/share
+ fi
}
libcxx() {
pkgdesc="GNU C++ standard runtime library"
depends=
+ CARCH="$CTARGET_ARCH"
+
mkdir -p "$subpkgdir"/usr/lib
- mv "$pkgdir"/usr/lib/libstdc++.so.* "$subpkgdir"/usr/lib/
+ mv "$pkgdir"/usr/lib/libstdc++.so.* "$subpkgdir"/usr/lib/ || \
+ cp "$pkgdir"/usr/$CTARGET/lib/libstdc++.so.* "$subpkgdir"/usr/lib/ || \
+ return 1
}
gpp() {
@@ -351,6 +443,7 @@ objc() {
pkgdesc="GNU Objective-C"
replaces="gcc"
depends="libc-dev gcc=$_gccrel libobjc=$_gccrel"
+
mkdir -p "$subpkgdir"/$_gcclibdir/include \
"$subpkgdir"/usr/lib \
|| return 1
@@ -363,14 +456,20 @@ objc() {
libgcc() {
pkgdesc="GNU C compiler runtime libraries"
depends=
+ CARCH="$CTARGET_ARCH"
+
mkdir -p "$subpkgdir"/usr/lib
- mv "$pkgdir"/usr/lib/libgcc_s.so.* "$subpkgdir"/usr/lib/ || return 1
+ mv "$pkgdir"/usr/lib/libgcc_s.so.* "$subpkgdir"/usr/lib/ || \
+ cp "$pkgdir"/usr/$CTARGET/lib/libgcc_s.so.* "$subpkgdir"/usr/lib/ || \
+ return 1
}
libgomp() {
pkgdesc="GCC shared-memory parallel programming API library"
depends=
replaces="gcc"
+ CARCH="$CTARGET_ARCH"
+
mkdir -p "$subpkgdir"/usr/lib
mv "$pkgdir"/usr/lib/libgomp.so.* "$subpkgdir"/usr/lib/
}
@@ -378,6 +477,7 @@ libgomp() {
java() {
pkgdesc="Java support for GCC"
depends="zlib-dev gcc=$_gccrel libgcj=$_gccrel"
+
paxctl -c -pm "$pkgdir"/$_gcclibexec/ecj1 || return 1
mkdir -p "$subpkgdir"/usr/bin "$subpkgdir"/usr/lib
cd "$pkgdir"/usr/bin
@@ -403,6 +503,8 @@ libgcj() {
# libgcj_bc.so moved from gcc-java to libgcj
replaces="gcc-java"
depends=
+ CARCH="$CTARGET_ARCH"
+
mkdir -p "$subpkgdir"/usr/bin
cd "$pkgdir"/usr/bin
paxctl -c -pmse "$pkgdir"/usr/bin/gij || return 1
@@ -433,6 +535,8 @@ libgcj() {
libgo() {
pkgdesc="Go runtime library for GCC"
depends=
+ CARCH="$CTARGET_ARCH"
+
mkdir -p "$subpkgdir"/usr/lib
mv "$pkgdir"/usr/lib/libgo.so.* "$subpkgdir"/usr/lib/
}
@@ -440,6 +544,7 @@ libgo() {
go() {
pkgdesc="Go support for GCC"
depends="gcc=$_gccrel libgo=$_gccrel"
+
mkdir -p "$subpkgdir"/$_gcclibexec \
"$subpkgdir"/usr/lib \
"$subpkgdir"/usr/bin || return 1
@@ -455,6 +560,8 @@ go() {
libgfortran() {
pkgdesc="Fortran runtime library for GCC"
depends=
+ CARCH="$CTARGET_ARCH"
+
mkdir -p "$subpkgdir"/usr/lib
mv "$pkgdir"/usr/lib/libgfortran.so.* "$subpkgdir"/usr/lib/
}
@@ -463,6 +570,8 @@ libquadmath() {
replaces="gcc"
pkgdesc="128-bit math library for GCC"
depends=
+ CARCH="$CTARGET_ARCH"
+
mkdir -p "$subpkgdir"/usr/lib
mv "$pkgdir"/usr/lib/libquadmath.so.* "$subpkgdir"/usr/lib/
}
@@ -489,20 +598,26 @@ gfortran() {
libgnat() {
pkgdesc="GNU Ada 95 runtime shared libraries"
+ depends=
+ CARCH="$CTARGET_ARCH"
+
mkdir -p "$subpkgdir"/usr/lib
mv "$pkgdir"/usr/lib/libgna*.so "$subpkgdir"/usr/lib/
}
gnat() {
pkgdesc="Ada 95 support for GCC"
+ depends="gcc=$_gccrel"
+ [ "$CHOST" = "$CTARGET" ] && depends="$depends libgnat=$_gccrel"
+
mkdir -p "$subpkgdir"/$_gcclibexec \
"$subpkgdir"/$_gcclibdir \
"$subpkgdir"/usr/bin \
|| return 1
- mv "$pkgdir"/$_gcclibexec/gnat* "$subpkgdir"/$_gcclibexec/ \
+ mv "$pkgdir"/$_gcclibexec/*gnat* "$subpkgdir"/$_gcclibexec/ \
|| return 1
- mv "$pkgdir"/$_gcclibdir/ada* "$subpkgdir"/$_gcclibdir/ || return 1
- mv "$pkgdir"/usr/bin/gnat* "$subpkgdir"/usr/bin/ || return 1
+ mv "$pkgdir"/$_gcclibdir/*ada* "$subpkgdir"/$_gcclibdir/ || return 1
+ mv "$pkgdir"/usr/bin/*gnat* "$subpkgdir"/usr/bin/ || return 1
}
md5sums="3b2386c114cd74185aa3754b58a79304 gcc-4.8.1.tar.bz2
@@ -518,7 +633,8 @@ d8692c56f04b92667096f59d843e95c5 51_all_libiberty-pic.patch
ca4f395856bbb80d23398246572c30fa 67_all_gcc-poison-system-directories.patch
9c443d9d0fba2ce97b12f674b7d14c7e 74_all_gcc48_cloog-dl.patch
a695d7648509b4f8e18b389a19e6037c gcc-spec-env.patch
-cd8ef37289815c939adc954ba95e9294 gcc-4.8-musl.patch
+eb425b34df5a1646f27a7285e1a78916 gcc-4.8-musl.patch
+f925101cc9d21435c97a0bbd3542bd81 gcc-4.8-musl-fix-arm-interp.patch
504c7dd8651c5d98229892c4cd9ea591 libgcc-always-build-gcceh.a.patch
ab83248e10b2bf4b3d9240de0fefb52b pt_gnu_eh_frame.patch
6cc2385c5bbd6d0da6eaedd53c8bf547 uclibc-getipinfo.patch
@@ -528,7 +644,12 @@ ab83248e10b2bf4b3d9240de0fefb52b pt_gnu_eh_frame.patch
2e2b787bb988d9007c9f7ce42178dfe6 gcc-pure64.patch
0a2041bbf83648e6c4f6d3484f7249ca gcc-4.8-build-args.patch
4aea37d334ab00bb6bba37cd8c481367 fix-cxxflags-passing.patch
-ac802687c02ca78687c8e612277e566a ada-no-pie.patch"
+87684048ecaaf0e046983bc2782292dd fix-cxxflags-for-target.patch
+750e903d5a53ba32618c2142cdd914e1 ada-no-pie.patch
+2e946abc09924d91988a9b7fd5824ef3 ada-fixes.patch
+d77c99bf7c03d082a540aaba1193be40 ada-crossbuild.patch
+20e2731c02ce50739ebdead2795f9c41 ada-shared.patch
+4e47bdae120129462244da0d89a573b3 ada-musl.patch"
sha256sums="545b44be3ad9f2c4e90e6880f5c9d4f0a8f0e5f67e1ffb0d45da9fa01bb05813 gcc-4.8.1.tar.bz2
4aa0ab0f114b0ff8af5d0c19c18930e3fcd5e5b0956f56ca24e58e5a243964b1 gcc-4.8.1-piepatches-v0.5.6.tar.bz2
f6c7cb99beead66dd4d06f7004c5731a9360330cbe878ce79792c618e008eed2 gcc-4.4.3-specs-0.2.0.tar.bz2
@@ -542,7 +663,8 @@ da6bbb5dc654d5e1df8ecae5c9ebb56265426c405931f14f5878248b8c79f78d 51_all_libiber
8ba9dec0ecc2620c8ab1dfbeb0708dd4c29021e57d2e0ea23720108b1db3462e 67_all_gcc-poison-system-directories.patch
7d129093a6682418da9313611a90e3052855d8af4505d401f7b8b6a64e8f7b17 74_all_gcc48_cloog-dl.patch
64b01f29fb853fee5ecda998b66eeaa7ec86ff1fc3b21432bfd69eb543c93e6a gcc-spec-env.patch
-8b85ebc6603a1b3488e1eb800fdb00168515ae154006398a1a08af57c1d3b5b5 gcc-4.8-musl.patch
+855ba44a4060a70213c39c6739751e8bfa8a8069f6a9712130df9a9b0f1070bc gcc-4.8-musl.patch
+6693a67eeff123e0261720463c51e8083bba6e93fed1e65f245731d23e8ff166 gcc-4.8-musl-fix-arm-interp.patch
1975189156d70f5428cb7f1516533965d1c8734f3009fc89a9b8e289b72326f1 libgcc-always-build-gcceh.a.patch
78e75cb378bdfe870c98ab3cffef37f54be729d3912979191f27ca00651ad6c4 pt_gnu_eh_frame.patch
53184f842477569973c232dac7c85e71b0018cbe5c4962f95dd9e0273f42083e uclibc-getipinfo.patch
@@ -552,7 +674,12 @@ f3863b997acf8fdf5ad1d3626b41a8a0670b896505e9b7afb517916c7599fb1c gcc-4.8-dynami
f5473c6aea96d5137defd68898ba31042944a3f3ed26c05b964a40bd876c6f47 gcc-pure64.patch
bd7a6f514fcc457f29e5fda157203f3bcd013aeba5d53b3459196eef3ce752ab gcc-4.8-build-args.patch
a395ba4cf047c48cac56985726fddf0948f4425c9f1a0c9ddba1812b2b3d8300 fix-cxxflags-passing.patch
-a20f8ba10f6ee94c6af44752d9c43faf1c1ff3c631f18e3d85e2a7f2ca7f1e0d ada-no-pie.patch"
+a5678380e887dbf600c59273d382e81c10f89d28e422238a617d0a43ad5c5a69 fix-cxxflags-for-target.patch
+de3c8606015ebda0dc574f904aa4d23c44c5e261b34dce2ef4d08eed21cb99b9 ada-no-pie.patch
+556fcc3937d067e177acee7bbeeff80b0c5d445280c82e5af590db0f68143ebb ada-fixes.patch
+324524490c60d84ef040f79589e0f93fbaeb253dbe031484afaf963b881047e9 ada-crossbuild.patch
+d6c7fc1820a4fa285297c299c255fe2f19ce1695486f20edd098252a97545e6a ada-shared.patch
+f20c34f3e0a1bf717f5e22fd66b57c8b69f0411d063203c017ed8209f349e1d4 ada-musl.patch"
sha512sums="1becc874aad77a469069b6d9da4158aae9e013e24afa9364fe4feff9a5094d0673ee7694b3840e892c860f73a56b3ece6174338a8214438c42b9f86dd6c35ea7 gcc-4.8.1.tar.bz2
274e16ef5136348415898d4e5a3bc71763078de8ae7c18645e8b07f54d705609b08c0efadbdb55117fdfb5f6490529b446d09def448174c2747372829d029a9d gcc-4.8.1-piepatches-v0.5.6.tar.bz2
779ecb0a064d2138b54569c8ae501975b8a6b72e5a3acbf8597619a8db77ee42ef9b0e62608d5192a15e4393e7dfc009bb50b994782236faa744b2c46b5fe517 gcc-4.4.3-specs-0.2.0.tar.bz2
@@ -566,7 +693,8 @@ c6c314a2d24531b4286436dec7189f83e443c4cfa9b88339a4c324c2d40812d766ed44dcfd4a0c3b
47331f034e44aea16f1cbb67d9176f8ce8832d6cb7c13a8d3b438efaa3269cee177bd1dd8a9f353ac19cc6b3db436a995de9ae66d493d2772188630b09fbff51 67_all_gcc-poison-system-directories.patch
6e19b2dc43cff03a6b3ca4e18f76dcfd5b0682c15aac493e94f5c679f5b0a585fbaa09345d200182c0f47541ced2d714b78d65da130bc7d2e9f810362e07037d 74_all_gcc48_cloog-dl.patch
ce9c1f923e2c6d17347ec2d3d8482351a9644194b2753627389294d43bb4f11b9c2ef41eda1b46ad83d09901a0bedebd5b6b8a57a198646030ab61e8d2d8cb48 gcc-spec-env.patch
-86ffdd09993004bc093233fcb1ea77d3a17965ccc0e09c59276b8f9e8ad79ae90eb6c6a3942472c638e9de31d2c83a25a46eee0903877033b46447e9f90258f8 gcc-4.8-musl.patch
+7ef97a8c79e3236ecd275e94ab87e65286744e8779d48f65c96fd456970abae483f414fbf1e201df12ae2e400fbab5376163dc090e6d9c2740873ed49f6ace40 gcc-4.8-musl.patch
+8c24d976b89b64f6c57a82b6c32f120f8bb4b8afef06ef86772df14309e04f5b3a62dbc7a953813666031efbedaae862bb3aa4d5242c7511231ecf61f87a7d77 gcc-4.8-musl-fix-arm-interp.patch
d08d7ead2de0429e5c9055d5b029ec2be9a8c821d22cecaf9b51f633652c493333f98963d9267fa2fa63850c50ae5eefd5f59e5910ec10d20044dac082182a8b libgcc-always-build-gcceh.a.patch
8464197f01d107872dfa6b47e86e95ae8d75c053527bafbdb7a86bcc7aff4bc5b20a8ec40d6e48d1ad455b0187a3cba9db337cff6c0a6245507c4533e4832d99 pt_gnu_eh_frame.patch
e3edf75df1f27af8771bd263e1bd607f6207c4eb5b2a5e11032577deba43ea201825e3b5008a720105f24e49d2821dd77a61c7ceba7ed91b3621c0dbd9292fc6 uclibc-getipinfo.patch
@@ -576,4 +704,9 @@ e1d6a450dfb40b134ad7f759c4c10174d2490b0093fe47cb33479245f26a3a8c54ebcf6255943c0c
4a5aeff0399782c752e6e3f2f48d984b2056dfb5d229b23a24eee1562d241339989b2203f139821cfc03c9b25c9bd7da6ccbbdc7a09d242e4de7f0d606c6f63c gcc-pure64.patch
abe9aaf9aa956058d0386a4396a511d176a46bb3906b90e952383646cdc158cbeb0a5dc616a1ccb1ca7d49fd0b5e351532aa15a3b13362abbf1ca4266f54a687 gcc-4.8-build-args.patch
35d6d59f0b7b968f282f56767c9e0823a7bdc5aa0d450aca50fbd802649a7ca608b47671244a3faa208a9b0d6832cabb5a22724157dc817b2c0ad63d09f93282 fix-cxxflags-passing.patch
-f00e0d57154fd7c0e121fa862b85b86943874edab8bc10e27a8b2bf363e55ea8690c091d8a07695493721a0185d52723e9f02279f7e618ece655e29b4e52b930 ada-no-pie.patch"
+c731f4aaaa65c8950e1b2bd9331410f92d378fd8c7e718532dccaa27ee11984d51d74216c3611e89a802325b81d7f184116839dce2dab50cae9b643c20a82fe7 fix-cxxflags-for-target.patch
+4938a38d6ffebebcd8b07a60e7d300935ef57056e5820145c6668dd5141e272d73a67a1bfe84dafda77212058eee768a03aba4356e52867b40a9ba9216a96714 ada-no-pie.patch
+0541b4e31164d3fed653e811c1ededcf0dc578220f11f4ca3d8a293b2cf1ebc62b4259afd103a5d24092cc738a5760efdd5310a6383d0d8152309562d04b0525 ada-fixes.patch
+4d411563f6a3ea06bc3a1f4fa77d10250cc275e2496df6039d93f9b2229bc1f5334e484494dbd08881cf046f98aaca8bdddaa6b4a8f947b936d0bdc9e91f2f2b ada-crossbuild.patch
+3f5bc334d9f73d06f5f7c876738d02356acdd08958bea0e4d2095ebf15c2c2ec4e411abdae0297505ae9a1699ca01b17338e853184e84663203b192b0d35fc19 ada-shared.patch
+7f6dc922a2c80b1c8c5ed0b6d6e4c1e672984f54bb217f28517929af129892e42c45f7aea4b9c50d8bbc008384b7ae19e1475c79f08b78775709720fe317c8f3 ada-musl.patch"